@keyframes flashing {
  50% {
    opacity: 0;
  }

  0%,
  100% {
    opacity: 1;
  }
}

::-webkit-scrollbar {
  display: none;
}

html {
  width: 100%;
  height: 100%;
}

body {
  margin: 0;
  width: 100%;
  height: 100%;
  user-select: none;
}

a {
  color: initial;
  cursor: pointer;
  text-decoration: none;
}

#mask {
  z-index: 10;
  backdrop-filter: blur(1px);
}

.background {
  z-index: 5;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url("./Images/Backgrounds/Main.jpg");
}

.background,
#mask {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

nav {
  position: fixed;
  z-index: 20;
  width: 100%;
  height: 55px;
  padding: 20px 40px;
  transition: all 0.3s;
}

nav#float {
  top: 0;
  left: 0;
  backdrop-filter: blur(5px);
  background-color: #f5f5f5e0;
  box-shadow: 0 0 10px #686868;
}

nav img {
  width: 55px;
  height: 55px;
  float: left;
}

nav a {
  display: block;
  color: #ffffff;
  transition: all 0.5s;
  opacity: 0.7;
  font-size: 17px;
  line-height: 55px;
  margin-left: 25px;
  float: left;
}

nav a::after {
  content: "";
  opacity: 0;
  width: 0;
  height: 3px;
  display: block;
  position: relative;
  bottom: 12px;
  border-radius: 10px;
  transition: all 0.5s;
  background-color: #73c500;
  margin: 0 auto;
}

#float a {
  color: #000000;
}

nav a:hover {
  opacity: 1;
}

nav a:hover::after {
  opacity: 1;
  width: 75%;
}

nav #login {
  float: right;
  cursor: pointer;
  margin-right: 100px;
}

nav .selection {
  float: left;
  height: 55px;
}

nav .selection a:first-child {
  margin-left: 60px;
}

main section {
  z-index: 15;
  text-align: center;
  position: relative;
}

main section .title {
  font-size: 30px;
  margin-top: 0;
  margin-bottom: 40px;
}

main section .title::after {
  content: "";
  display: block;
  height: 3px;
  width: 100px;
  margin: 15px auto;
  border-radius: 10px;
  background-color: #73c500;
}

main #home {
  text-align: left;
  display: flex;
  color: #ffffff;
  width: 100%;
  height: 100vh;
  align-items: center;
  justify-content: center;
}

main #home .content {
  width: 100%;
  margin: 0 130px;
  margin-top: 50px;
  text-shadow: 0 0 10px #000000;
}

main #home .content .text {
  float: left;
  margin-top: 10px;
}

main #home .content .text h1 {
  margin: 0;
  font-size: 50px;
}

main #home .content .text h2 {
  margin: 0;
  font-weight: lighter;
}

main #home .content .text p {
  display: block;
  font-size: 20px;
  font-style: italic;
  color: #ffffffe0;
  margin-top: 30px;
  font-family: "仿宋", "serif";
}

main #home .content .text a {
  color: #ffffff;
  display: inline-block;
  padding: 5px 10px;
  margin-top: 50px;
  margin-left: 30px;
  width: 110px;
  height: 30px;
  text-transform: uppercase;
  line-height: 30px;
  text-align: center;
  border-radius: 10px;
  border: #ffffff solid 2px;
  transition: all 0.5s;
  background-size: 200% 100%;
  background-position: right bottom;
  background-image: linear-gradient(to right, #ffffff80 50%, transparent 50%);
}

main #home .content .text a:hover {
  backdrop-filter: blur(10px);
  background-position: left bottom;
  box-shadow: 0 0 10px #000000;
}

main #home .content iframe {
  float: right;
  border: none;
  border-radius: 10px;
  width: calc(100% - 400px);
  box-shadow: 0 0 10px #13131380;
}

main #home #tip {
  position: absolute;
  left: 0;
  bottom: 20px;
  width: 100%;
  text-align: center;
  letter-spacing: 3px;
  text-shadow: 0 0 5px #000000;
  animation: flashing 3s infinite;
}

main #info {
  padding: 70px 0;
  text-align: center;
  background-color: #ffffff;
}

main #info p {
  margin: 0;
  font-size: 20px;
  line-height: 30px;
}

main #show {
  padding: 70px 0;
}

main #show .title {
  color: #ffffff;
  text-shadow: 0 0 5px #000000;
}

main #show .works {
  width: 75%;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

main #show .works .card {
  position: relative;
  width: 300px;
  text-align: left;
  margin: 15px;
  border-radius: 15px;
  transition: all 0.3s;
  backdrop-filter: blur(5px);
  background-color: #f5f5f5c7;
  box-shadow: 0 0 5px #13131380;
}

main #show .works .card:hover {
  transform: translateY(-5px);
  box-shadow: 0 0 15px #000000;
}

main #show .works .card span {
  display: block;
  width: 100%;
  height: 160px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  background-image: url("./Images/Backgrounds/Main.jpg");
}

main #show .works .card h1 {
  font-size: 25px;
  margin-top: 20px;
  margin-left: 20px;
  margin-bottom: 10px;
}

main #show .works .card p {
  display: block;
  color: #686868;
  background-color: #f5f5f5;
  padding: 3px;
  font-size: 13px;
  margin: 0;
  margin-left: 10px;
  margin-bottom: 10px;
  float: left;
  border-radius: 5px;
  transition: all 0.3s;
}

main #show .works .card p:hover {
  color: #000000;
}

main #show #more {
  color: #ffffff;
  font-size: 30px;
  font-weight: bold;
  display: inline-block;
  margin-top: 30px;
  letter-spacing: 3px;
  text-shadow: 0 0 10px #000000;
}

main #show #more::before {
  content: "「";
  opacity: 0;
  margin-right: 40px;
  transition: all 0.5s;
}

main #show #more::after {
  content: "」";
  opacity: 0;
  margin-left: 40px;
  transition: all 0.5s;
}

main #show #more:hover::before {
  opacity: 1;
  margin-right: 10px;
}

main #show #more:hover::after {
  opacity: 1;
  margin-left: 10px;
}

main #other {
  padding: 70px 0;
  background-color: #ffffff;
}

main #other .messages {
  text-align: left;
  width: 50%;
  height: 350px;
  padding: 10px 30px;
  border-radius: 10px;
  margin: 0 auto;
  overflow: scroll;
  box-shadow: inset 0 0 10px #13131380;
}

main #other .messages p {
  color: #686868;
}

main #other .messages p::after {
  content: "";
  display: block;
  height: 2px;
  width: 100%;
  position: relative;
  top: 8px;
  background-color: #73c50080;
}

main #other .messages p:last-child:after {
  content: none;
}

main #other .messages p span {
  margin-left: 20px;
  color: #000000;
}

main #other .messages p span::after {
  content: "：";
}

main #other .content {
  width: 70%;
  margin: 0 auto;
  text-align: right;
}

main #other .content .sponsors {
  display: flex;
  flex-wrap: wrap;
  justify-content: left;
}

main #other .content .sponsors span {
  display: block;
  text-align: left;
  width: 170px;
  font-size: 20px;
  margin: 5px 20px;
  font-weight: lighter;
}

main #other .content .sponsors span img {
  width: 20px;
  height: 20px;
  margin-right: 10px;
  position: relative;
  top: 2px;
}

main #other .content a {
  display: inline-block;
  padding: 5px 10px;
  margin-top: 10px;
  margin-left: 30px;
  width: 110px;
  height: 30px;
  text-transform: uppercase;
  line-height: 30px;
  text-align: center;
  border-radius: 10px;
  border: #686868 solid 2px;
  transition: all 0.5s;
  background-size: 200% 100%;
  background-position: right bottom;
  background-image: linear-gradient(to right, #68686850 50%, transparent 50%);
}

main #other .content a:hover {
  background-position: left bottom;
  box-shadow: 0 0 10px #686868;
}

footer {
  position: relative;
  z-index: 20;
  padding: 30px 200px;
  backdrop-filter: blur(5px);
}

footer .title {
  letter-spacing: 10px;
  margin-left: 5px;
  margin-bottom: 5px;
  color: #ffffff;
}

footer section {
  display: inline-block;
}

footer #thank {
  width: 150px;
  overflow: hidden;
}

footer #thank span {
  width: 150px;
  font-size: 13px;
  display: block;
  color: #ffffff80;
}

footer #account {
  position: relative;
  top: -15px;
  margin-left: 100px;
}

footer #account a {
  width: 150px;
  font-size: 13px;
  display: block;
  color: #ffffff80;
}

footer #account a img {
  width: 16px;
  height: 16px;
  margin-right: 5px;
  border-radius: 3px;
}
